Package twisted :: Package persisted :: Module crefutil :: Class _Defer

[frames | no frames]

## Class _Defer

    Deferred --+
               |
    NotKnown --+
               |
              _Defer

Method Summary
| `__init__(self)`
| `__setitem__(self, n, obj)`
| `addDependant(self, dep, key)`
Inherited from Deferred
| ``__del__`(self)` Print tracebacks and die.
| ``__repr__`(self)`
| ``__str__`(self)`
| ``_continue`(self, result)`
| ``_debugInfo`(self)`
| ``_runCallbacks`(self)`
| ``_startRunCallbacks`(self, result)`
| ``addBoth`(self, callback, *args, **kw)` Convenience method for adding a single callable as both a callback and an errback.
| ``addCallback`(self, callback, *args, **kw)` Convenience method for adding just a callback.
| ``addCallbacks`(self, callback, errback, callbackArgs, callbackKeywords, errbackArgs, errbackKeywords, asDefaults)` Add a pair of callbacks (success and error) to this Deferred.
| ``addErrback`(self, errback, *args, **kw)` Convenience method for adding just an errback.
| ``arm`(self)` This method is deprecated.
| ``armAndCallback`(self, result)` Run all success callbacks that have been added to this Deferred.
| ``armAndChain`(self, d)` Chain another Deferred to this Deferred.
| ``armAndErrback`(self, fail)` Run all error callbacks that have been added to this Deferred.
| ``callback`(self, result)` Run all success callbacks that have been added to this Deferred.
| ``chainDeferred`(self, d)` Chain another Deferred to this Deferred.
| ``errback`(self, fail)` Run all error callbacks that have been added to this Deferred.
| ``pause`(self)` Stop processing on a Deferred until `unpause`() is called.
| ``setTimeout`(self, seconds, timeoutFunc, *args, **kw)` Set a timeout function to be triggered if I am not called.
| ``unpause`(self)` Process all callbacks made since `pause`() was called.
Inherited from NotKnown
| ``__hash__`(self)`
| ``resolveDependants`(self, newObject)`

Class Variable Summary
`int` | `wasset` = 0
Inherited from Deferred
`int` | `called` = 0
`int` | `debug` = 0
`int` | `default` = 0
`int` | `paused` = 0
`NoneType` | `timeoutCall` = None
Inherited from NotKnown
`NoneType` | `resolvedObject` = None

Class Variable Details

### wasset

  Type:
    `int`
  Value:

        0

Generated by Epydoc 2.0 on Sat May 15 20:07:36 2004 | http://epydoc.sf.net